petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetOrdering

Calculate a reordering of the mesh

### Synopsis

    #include "petscdmplex.h"
    #include "petscmat.h"
    PetscErrorCode DMPlexGetOrdering(DM dm, MatOrderingType otype, DMLabel label, IS *perm)

Collective on DM Many br

### Input Parameter

| dm | - The DMPlex object Many br
| otype | - type of reordering, one of the following: Many br

        MATORDERINGNATURAL - Natural

        MATORDERINGND - Nested Dissection

        MATORDERING1WD - One-way Dissection

        MATORDERINGRCM - Reverse Cuthill-McKee

        MATORDERINGQMD - Quotient Minimum Degree

| label | - [Optional] Label used to segregate ordering into sets, or NULL Many br

### Output Parameter

perm -The point permutation as an IS, perm[old point number] = new point number Many br

Note: The label is used to group sets of points together by label value. This makes it easy to reorder a mesh which Many brhas different types of cells, and then loop over each set of reordered cells for assembly. Many br

Many br

### Keywords

mesh

### See Also

MatGetOrdering()

Level:intermediate
Location:src/dm/impls/plex/plexreorder.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages